Metric.h File Reference
`#include <libusermetricsinput/MetricUpdate.h>`
`#include <QtCore/QSharedPointer>`

Go to the source code of this file.

## Classes

class | UserMetricsInput::Metric
| This class represents a single user metric. More...

## Namespaces

namespace | UserMetricsInput
| The user metrics input library namespace.

## Typedefs

typedef QSharedPointer< Metric > | UserMetricsInput::MetricPtr

## Enumerations

enum | UserMetricsInput::MetricType { UserMetricsInput::USER , UserMetricsInput::SYSTEM }